<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionSpawSelectionMenuLocationEntry Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d8d/a07202.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionSpawSelectionMenuLocationEntry Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionSpawSelectionMenuLocationEntry:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d8/d8d/a07202.png" usemap="#ExpansionSpawSelectionMenuLocationEntry_map" alt=""/>
  <map id="ExpansionSpawSelectionMenuLocationEntry_map" name="ExpansionSpawSelectionMenuLocationEntry_map">
<area href="../../d4/d56/a05206.html" alt="ExpansionScriptView" shape="rect" coords="0,0,263,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a69bb1cd0dd92145c28d1b0cec131794e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#a69bb1cd0dd92145c28d1b0cec131794e">ExpansionSpawSelectionMenuLocationEntry</a> (int index, <a class="el" href="../../d9/dc8/a07162.html">ExpansionSpawnLocation</a> location, bool isTerritory)</td></tr>
<tr class="separator:a69bb1cd0dd92145c28d1b0cec131794e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a41f5dcdeaa4302126618ef99561af4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/dc8/a07162.html">ExpansionSpawnLocation</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#a0a41f5dcdeaa4302126618ef99561af4">GetLocation</a> ()</td></tr>
<tr class="separator:a0a41f5dcdeaa4302126618ef99561af4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5420ed9e003b458e72316775e43a5d56"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#a5420ed9e003b458e72316775e43a5d56">GetLayoutFile</a> ()</td></tr>
<tr class="separator:a5420ed9e003b458e72316775e43a5d56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2935f15c24e30f04332f2fe15709e42"><td class="memItemLeft" align="right" valign="top">override&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#ab2935f15c24e30f04332f2fe15709e42">GetControllerType</a> ()</td></tr>
<tr class="separator:ab2935f15c24e30f04332f2fe15709e42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29fc1fd432be719c04baf33226bf6760"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#a29fc1fd432be719c04baf33226bf6760">SetEntry</a> ()</td></tr>
<tr class="separator:a29fc1fd432be719c04baf33226bf6760"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afebbf44b1bf2a436218f3755d8c7bc69"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#afebbf44b1bf2a436218f3755d8c7bc69">UpdateCooldown</a> ()</td></tr>
<tr class="separator:afebbf44b1bf2a436218f3755d8c7bc69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac09a46a693ed9d48e569368fd6830433"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#ac09a46a693ed9d48e569368fd6830433">OnCooldownEnd</a> ()</td></tr>
<tr class="separator:ac09a46a693ed9d48e569368fd6830433"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b1cec71e9423e0873e49fe4c043179e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#a5b1cec71e9423e0873e49fe4c043179e">SetLocked</a> ()</td></tr>
<tr class="separator:a5b1cec71e9423e0873e49fe4c043179e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abdf7247b1d333684803eb000efbff180"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#abdf7247b1d333684803eb000efbff180">SetUnlocked</a> ()</td></tr>
<tr class="separator:abdf7247b1d333684803eb000efbff180"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affe766c43f36d7a6729e98be7c6e7451"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#affe766c43f36d7a6729e98be7c6e7451">OnEntryButtonClick</a> ()</td></tr>
<tr class="separator:affe766c43f36d7a6729e98be7c6e7451"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b6cf59763ea0a9c6dd77f2667d6cec1"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#a6b6cf59763ea0a9c6dd77f2667d6cec1">OnDoubleClick</a> (Widget w, int x, int y, int button)</td></tr>
<tr class="separator:a6b6cf59763ea0a9c6dd77f2667d6cec1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5dd6681627edee52d9200de35a0b1e6a"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#a5dd6681627edee52d9200de35a0b1e6a">OnMouseEnter</a> (Widget w, int x, int y)</td></tr>
<tr class="separator:a5dd6681627edee52d9200de35a0b1e6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab90882688bdd2b2653aabfced5c86ede"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#ab90882688bdd2b2653aabfced5c86ede">OnMouseLeave</a> (Widget w, Widget enterW, int x, int y)</td></tr>
<tr class="separator:ab90882688bdd2b2653aabfced5c86ede"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c5df150b33d78889ef603bb804c59f4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#a7c5df150b33d78889ef603bb804c59f4">SetHighlight</a> ()</td></tr>
<tr class="separator:a7c5df150b33d78889ef603bb804c59f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa901d5ef6c2e50cfeb9a1d5361007c38"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#aa901d5ef6c2e50cfeb9a1d5361007c38">SetNormal</a> ()</td></tr>
<tr class="separator:aa901d5ef6c2e50cfeb9a1d5361007c38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a168c3406ca3f0f9ceab08c8666da1e92"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#a168c3406ca3f0f9ceab08c8666da1e92">SetDisplayName</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> locationName)</td></tr>
<tr class="separator:a168c3406ca3f0f9ceab08c8666da1e92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ed4356e7d97c8e9ea26681c9799189e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#a5ed4356e7d97c8e9ea26681c9799189e">SetDisplayTime</a> (int cooldownTime)</td></tr>
<tr class="separator:a5ed4356e7d97c8e9ea26681c9799189e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f7d53a0c08a1a4f81d7a456b2c7dd4a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#a1f7d53a0c08a1a4f81d7a456b2c7dd4a">SetIcon</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> <a class="el" href="../../d8/d8d/a07202.html#a8294fefad39e74cd9cf140ab62d9f844">icon</a>)</td></tr>
<tr class="separator:a1f7d53a0c08a1a4f81d7a456b2c7dd4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac753b4526a7d510eddc10f35f655929f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#ac753b4526a7d510eddc10f35f655929f">HasCooldown</a> ()</td></tr>
<tr class="separator:ac753b4526a7d510eddc10f35f655929f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43747f18629b28b62c997d68569b92d0"><td class="memItemLeft" align="right" valign="top">override float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#a43747f18629b28b62c997d68569b92d0">GetUpdateTickRate</a> ()</td></tr>
<tr class="separator:a43747f18629b28b62c997d68569b92d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a416fd56d5962394296d3e1d1c9cd4f76"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#a416fd56d5962394296d3e1d1c9cd4f76">Update</a> ()</td></tr>
<tr class="separator:a416fd56d5962394296d3e1d1c9cd4f76"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a8bca6efc2761193fa2333c5521b865da"><td class="memItemLeft" align="right" valign="top">private int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#a8bca6efc2761193fa2333c5521b865da">m_Index</a></td></tr>
<tr class="separator:a8bca6efc2761193fa2333c5521b865da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb7d730069dee406b1ec88ed1f9ea91e"><td class="memItemLeft" align="right" valign="top">private ref <a class="el" href="../../d9/dc8/a07162.html">ExpansionSpawnLocation</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#acb7d730069dee406b1ec88ed1f9ea91e">m_Location</a></td></tr>
<tr class="separator:acb7d730069dee406b1ec88ed1f9ea91e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb9b2547fd113063109a11a884d58284"><td class="memItemLeft" align="right" valign="top">private ref <a class="el" href="../../d6/dc7/a07206.html">ExpansionSpawSelectionMenuLocationEntryController</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#adb9b2547fd113063109a11a884d58284">m_SpawnSelectionEntryController</a></td></tr>
<tr class="separator:adb9b2547fd113063109a11a884d58284"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80e4cd4bda7524b9341c575b66f66fc3"><td class="memItemLeft" align="right" valign="top">private ExpansionRespawnHandlerModule&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#a80e4cd4bda7524b9341c575b66f66fc3">m_RespawnModule</a></td></tr>
<tr class="separator:a80e4cd4bda7524b9341c575b66f66fc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab344bbfd901d5c8f97a63dedcac6a5ce"><td class="memItemLeft" align="right" valign="top">private bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#ab344bbfd901d5c8f97a63dedcac6a5ce">m_HasCooldown</a> = false</td></tr>
<tr class="separator:ab344bbfd901d5c8f97a63dedcac6a5ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45ace8f3d6e4808efb341aad16a4a9df"><td class="memItemLeft" align="right" valign="top">private bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#a45ace8f3d6e4808efb341aad16a4a9df">m_IsLocked</a> = false</td></tr>
<tr class="separator:a45ace8f3d6e4808efb341aad16a4a9df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0030e20707cb2a7b75c323855a005746"><td class="memItemLeft" align="right" valign="top">private bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#a0030e20707cb2a7b75c323855a005746">m_IsTerritory</a> = false</td></tr>
<tr class="separator:a0030e20707cb2a7b75c323855a005746"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0deccb43d805f459bfbfc1fa372f778"><td class="memItemLeft" align="right" valign="top">private bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#ab0deccb43d805f459bfbfc1fa372f778">m_IsHighlighted</a> = false</td></tr>
<tr class="separator:ab0deccb43d805f459bfbfc1fa372f778"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4aab7975e156a76002a9c39291d02422"><td class="memItemLeft" align="right" valign="top">private ButtonWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#a4aab7975e156a76002a9c39291d02422">spawn_entry</a></td></tr>
<tr class="separator:a4aab7975e156a76002a9c39291d02422"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a6702ac824fb9ce9dd528d923d65b83"><td class="memItemLeft" align="right" valign="top">private Widget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#a3a6702ac824fb9ce9dd528d923d65b83">background</a></td></tr>
<tr class="separator:a3a6702ac824fb9ce9dd528d923d65b83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a885979104493e504c3981d75cee9eea6"><td class="memItemLeft" align="right" valign="top">private TextWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#a885979104493e504c3981d75cee9eea6">name</a></td></tr>
<tr class="separator:a885979104493e504c3981d75cee9eea6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8294fefad39e74cd9cf140ab62d9f844"><td class="memItemLeft" align="right" valign="top">private ImageWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#a8294fefad39e74cd9cf140ab62d9f844">icon</a></td></tr>
<tr class="separator:a8294fefad39e74cd9cf140ab62d9f844"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5dbecda9ddea8f570617732f438d1ff1"><td class="memItemLeft" align="right" valign="top">private ImageWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#a5dbecda9ddea8f570617732f438d1ff1">icon_locked</a></td></tr>
<tr class="separator:a5dbecda9ddea8f570617732f438d1ff1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a493015da09b7435aad3705307d82c5ad"><td class="memItemLeft" align="right" valign="top">private ImageWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#a493015da09b7435aad3705307d82c5ad">cooldown_icon</a></td></tr>
<tr class="separator:a493015da09b7435aad3705307d82c5ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ed795d28cb4e0545ea8ac04b843588d"><td class="memItemLeft" align="right" valign="top">private TextWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d8d/a07202.html#a6ed795d28cb4e0545ea8ac04b843588d">cooldown</a></td></tr>
<tr class="separator:a6ed795d28cb4e0545ea8ac04b843588d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d7/d94/a02702.html">ExpansionSpawSelectionMenuLocationEntry.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00013">13</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a69bb1cd0dd92145c28d1b0cec131794e" name="a69bb1cd0dd92145c28d1b0cec131794e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69bb1cd0dd92145c28d1b0cec131794e">&#9670;&#160;</a></span>ExpansionSpawSelectionMenuLocationEntry()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSpawSelectionMenuLocationEntry::ExpansionSpawSelectionMenuLocationEntry </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/dc8/a07162.html">ExpansionSpawnLocation</a>&#160;</td>
          <td class="paramname"><em>location</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isTerritory</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00032">32</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ab2935f15c24e30f04332f2fe15709e42" name="ab2935f15c24e30f04332f2fe15709e42"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2935f15c24e30f04332f2fe15709e42">&#9670;&#160;</a></span>GetControllerType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override ExpansionSpawSelectionMenuLocationEntry::GetControllerType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00054">54</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="a5420ed9e003b458e72316775e43a5d56" name="a5420ed9e003b458e72316775e43a5d56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5420ed9e003b458e72316775e43a5d56">&#9670;&#160;</a></span>GetLayoutFile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionSpawSelectionMenuLocationEntry::GetLayoutFile </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00049">49</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="a0a41f5dcdeaa4302126618ef99561af4" name="a0a41f5dcdeaa4302126618ef99561af4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a41f5dcdeaa4302126618ef99561af4">&#9670;&#160;</a></span>GetLocation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/dc8/a07162.html">ExpansionSpawnLocation</a> ExpansionSpawSelectionMenuLocationEntry::GetLocation </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00044">44</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="a43747f18629b28b62c997d68569b92d0" name="a43747f18629b28b62c997d68569b92d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43747f18629b28b62c997d68569b92d0">&#9670;&#160;</a></span>GetUpdateTickRate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override float ExpansionSpawSelectionMenuLocationEntry::GetUpdateTickRate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00246">246</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="ac753b4526a7d510eddc10f35f655929f" name="ac753b4526a7d510eddc10f35f655929f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac753b4526a7d510eddc10f35f655929f">&#9670;&#160;</a></span>HasCooldown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionSpawSelectionMenuLocationEntry::HasCooldown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00241">241</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="ac09a46a693ed9d48e569368fd6830433" name="ac09a46a693ed9d48e569368fd6830433"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac09a46a693ed9d48e569368fd6830433">&#9670;&#160;</a></span>OnCooldownEnd()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSpawSelectionMenuLocationEntry::OnCooldownEnd </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00111">111</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="a6b6cf59763ea0a9c6dd77f2667d6cec1" name="a6b6cf59763ea0a9c6dd77f2667d6cec1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b6cf59763ea0a9c6dd77f2667d6cec1">&#9670;&#160;</a></span>OnDoubleClick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionSpawSelectionMenuLocationEntry::OnDoubleClick </td>
          <td>(</td>
          <td class="paramtype">Widget&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>button</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00161">161</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="affe766c43f36d7a6729e98be7c6e7451" name="affe766c43f36d7a6729e98be7c6e7451"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affe766c43f36d7a6729e98be7c6e7451">&#9670;&#160;</a></span>OnEntryButtonClick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSpawSelectionMenuLocationEntry::OnEntryButtonClick </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00140">140</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="a5dd6681627edee52d9200de35a0b1e6a" name="a5dd6681627edee52d9200de35a0b1e6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5dd6681627edee52d9200de35a0b1e6a">&#9670;&#160;</a></span>OnMouseEnter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionSpawSelectionMenuLocationEntry::OnMouseEnter </td>
          <td>(</td>
          <td class="paramtype">Widget&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00179">179</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="ab90882688bdd2b2653aabfced5c86ede" name="ab90882688bdd2b2653aabfced5c86ede"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab90882688bdd2b2653aabfced5c86ede">&#9670;&#160;</a></span>OnMouseLeave()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionSpawSelectionMenuLocationEntry::OnMouseLeave </td>
          <td>(</td>
          <td class="paramtype">Widget&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Widget&#160;</td>
          <td class="paramname"><em>enterW</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00191">191</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="a168c3406ca3f0f9ceab08c8666da1e92" name="a168c3406ca3f0f9ceab08c8666da1e92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a168c3406ca3f0f9ceab08c8666da1e92">&#9670;&#160;</a></span>SetDisplayName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSpawSelectionMenuLocationEntry::SetDisplayName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>locationName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00223">223</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="a5ed4356e7d97c8e9ea26681c9799189e" name="a5ed4356e7d97c8e9ea26681c9799189e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ed4356e7d97c8e9ea26681c9799189e">&#9670;&#160;</a></span>SetDisplayTime()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSpawSelectionMenuLocationEntry::SetDisplayTime </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>cooldownTime</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00229">229</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="a29fc1fd432be719c04baf33226bf6760" name="a29fc1fd432be719c04baf33226bf6760"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29fc1fd432be719c04baf33226bf6760">&#9670;&#160;</a></span>SetEntry()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void ExpansionSpawSelectionMenuLocationEntry::SetEntry </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00059">59</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="a7c5df150b33d78889ef603bb804c59f4" name="a7c5df150b33d78889ef603bb804c59f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c5df150b33d78889ef603bb804c59f4">&#9670;&#160;</a></span>SetHighlight()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSpawSelectionMenuLocationEntry::SetHighlight </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00203">203</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="a1f7d53a0c08a1a4f81d7a456b2c7dd4a" name="a1f7d53a0c08a1a4f81d7a456b2c7dd4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f7d53a0c08a1a4f81d7a456b2c7dd4a">&#9670;&#160;</a></span>SetIcon()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSpawSelectionMenuLocationEntry::SetIcon </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>icon</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00235">235</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="a5b1cec71e9423e0873e49fe4c043179e" name="a5b1cec71e9423e0873e49fe4c043179e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b1cec71e9423e0873e49fe4c043179e">&#9670;&#160;</a></span>SetLocked()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSpawSelectionMenuLocationEntry::SetLocked </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00118">118</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="aa901d5ef6c2e50cfeb9a1d5361007c38" name="aa901d5ef6c2e50cfeb9a1d5361007c38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa901d5ef6c2e50cfeb9a1d5361007c38">&#9670;&#160;</a></span>SetNormal()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSpawSelectionMenuLocationEntry::SetNormal </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00211">211</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="abdf7247b1d333684803eb000efbff180" name="abdf7247b1d333684803eb000efbff180"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abdf7247b1d333684803eb000efbff180">&#9670;&#160;</a></span>SetUnlocked()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSpawSelectionMenuLocationEntry::SetUnlocked </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00128">128</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="a416fd56d5962394296d3e1d1c9cd4f76" name="a416fd56d5962394296d3e1d1c9cd4f76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a416fd56d5962394296d3e1d1c9cd4f76">&#9670;&#160;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionSpawSelectionMenuLocationEntry::Update </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00251">251</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="afebbf44b1bf2a436218f3755d8c7bc69" name="afebbf44b1bf2a436218f3755d8c7bc69"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afebbf44b1bf2a436218f3755d8c7bc69">&#9670;&#160;</a></span>UpdateCooldown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void ExpansionSpawSelectionMenuLocationEntry::UpdateCooldown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00068">68</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a3a6702ac824fb9ce9dd528d923d65b83" name="a3a6702ac824fb9ce9dd528d923d65b83"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a6702ac824fb9ce9dd528d923d65b83">&#9670;&#160;</a></span>background</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private Widget ExpansionSpawSelectionMenuLocationEntry::background</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00025">25</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="a6ed795d28cb4e0545ea8ac04b843588d" name="a6ed795d28cb4e0545ea8ac04b843588d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ed795d28cb4e0545ea8ac04b843588d">&#9670;&#160;</a></span>cooldown</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private TextWidget ExpansionSpawSelectionMenuLocationEntry::cooldown</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00030">30</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="a493015da09b7435aad3705307d82c5ad" name="a493015da09b7435aad3705307d82c5ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a493015da09b7435aad3705307d82c5ad">&#9670;&#160;</a></span>cooldown_icon</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private ImageWidget ExpansionSpawSelectionMenuLocationEntry::cooldown_icon</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00029">29</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="a8294fefad39e74cd9cf140ab62d9f844" name="a8294fefad39e74cd9cf140ab62d9f844"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8294fefad39e74cd9cf140ab62d9f844">&#9670;&#160;</a></span>icon</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private ImageWidget ExpansionSpawSelectionMenuLocationEntry::icon</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00027">27</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="a5dbecda9ddea8f570617732f438d1ff1" name="a5dbecda9ddea8f570617732f438d1ff1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5dbecda9ddea8f570617732f438d1ff1">&#9670;&#160;</a></span>icon_locked</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private ImageWidget ExpansionSpawSelectionMenuLocationEntry::icon_locked</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00028">28</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="ab344bbfd901d5c8f97a63dedcac6a5ce" name="ab344bbfd901d5c8f97a63dedcac6a5ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab344bbfd901d5c8f97a63dedcac6a5ce">&#9670;&#160;</a></span>m_HasCooldown</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private bool ExpansionSpawSelectionMenuLocationEntry::m_HasCooldown = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00019">19</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="a8bca6efc2761193fa2333c5521b865da" name="a8bca6efc2761193fa2333c5521b865da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8bca6efc2761193fa2333c5521b865da">&#9670;&#160;</a></span>m_Index</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private int ExpansionSpawSelectionMenuLocationEntry::m_Index</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00015">15</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="ab0deccb43d805f459bfbfc1fa372f778" name="ab0deccb43d805f459bfbfc1fa372f778"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0deccb43d805f459bfbfc1fa372f778">&#9670;&#160;</a></span>m_IsHighlighted</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private bool ExpansionSpawSelectionMenuLocationEntry::m_IsHighlighted = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00022">22</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="a45ace8f3d6e4808efb341aad16a4a9df" name="a45ace8f3d6e4808efb341aad16a4a9df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45ace8f3d6e4808efb341aad16a4a9df">&#9670;&#160;</a></span>m_IsLocked</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private bool ExpansionSpawSelectionMenuLocationEntry::m_IsLocked = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00020">20</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="a0030e20707cb2a7b75c323855a005746" name="a0030e20707cb2a7b75c323855a005746"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0030e20707cb2a7b75c323855a005746">&#9670;&#160;</a></span>m_IsTerritory</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private bool ExpansionSpawSelectionMenuLocationEntry::m_IsTerritory = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00021">21</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="acb7d730069dee406b1ec88ed1f9ea91e" name="acb7d730069dee406b1ec88ed1f9ea91e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb7d730069dee406b1ec88ed1f9ea91e">&#9670;&#160;</a></span>m_Location</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private ref <a class="el" href="../../d9/dc8/a07162.html">ExpansionSpawnLocation</a> ExpansionSpawSelectionMenuLocationEntry::m_Location</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00016">16</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="a80e4cd4bda7524b9341c575b66f66fc3" name="a80e4cd4bda7524b9341c575b66f66fc3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80e4cd4bda7524b9341c575b66f66fc3">&#9670;&#160;</a></span>m_RespawnModule</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private ExpansionRespawnHandlerModule ExpansionSpawSelectionMenuLocationEntry::m_RespawnModule</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00018">18</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="adb9b2547fd113063109a11a884d58284" name="adb9b2547fd113063109a11a884d58284"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb9b2547fd113063109a11a884d58284">&#9670;&#160;</a></span>m_SpawnSelectionEntryController</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private ref <a class="el" href="../../d6/dc7/a07206.html">ExpansionSpawSelectionMenuLocationEntryController</a> ExpansionSpawSelectionMenuLocationEntry::m_SpawnSelectionEntryController</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00017">17</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="a885979104493e504c3981d75cee9eea6" name="a885979104493e504c3981d75cee9eea6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a885979104493e504c3981d75cee9eea6">&#9670;&#160;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private TextWidget ExpansionSpawSelectionMenuLocationEntry::name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00026">26</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<a id="a4aab7975e156a76002a9c39291d02422" name="a4aab7975e156a76002a9c39291d02422"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4aab7975e156a76002a9c39291d02422">&#9670;&#160;</a></span>spawn_entry</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private ButtonWidget ExpansionSpawSelectionMenuLocationEntry::spawn_entry</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d94/a02702_source.html#l00024">24</a> of file <a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/SpawnSelection/Scripts/5_mission/dayzexpansion_spawnselection/gui/spawnselection/<a class="el" href="../../d7/d94/a02702_source.html">expansionspawselectionmenulocationentry.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d8/d8d/a07202.html">ExpansionSpawSelectionMenuLocationEntry</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
